<?php

declare(strict_types=1);

namespace PHPMax\Domain\Attachments;

class ShareAttachment extends BaseAttachment
{
     
    public $url;
     
    public $title;
     
    public $description;
     
    public $image;

    protected static function schema(): array
    {
        return parent::schema() + [
            'url' => ['type' => 'string'],
            'title' => ['type' => 'string'],
            'description' => ['type' => 'string'],
            'image' => ['type' => 'array'],
        ];
    }
}
